%define upstream_name    String-Print
%define upstream_version 0.15

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Printf alternative
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/String/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Encode)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More) >= 0.860.0
BuildRequires: perl(Unicode::GCString)
BuildArch:  noarch

%description
This module inserts values into (translated) strings. It provides 'printf'
and 'sprintf' alternatives via both an object oriented and a functional
interface.

Read in the the DETAILS manpage chapter below, why this module provides a
better alternative for 'printf()'. Also, some extended *examples* can be
found there. Take a look at them first, when you start using this module!

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc ChangeLog META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.150.0-5.mga6
+ Revision: 1033381
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.150.0-4.mga6
+ Revision: 947754
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.150.0-3.mga5
+ Revision: 745031
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.150.0-2.mga5
+ Revision: 686248
- Mageia 5 Mass Rebuild

* Tue Mar 25 2014 jquelin <jquelin> 0.150.0-1.mga5
+ Revision: 608427
- update to 0.15

* Thu Mar 13 2014 jquelin <jquelin> 0.140.0-1.mga5
+ Revision: 602999
- update to 0.14

* Tue Feb 04 2014 shlomif <shlomif> 0.130.0-1.mga5
+ Revision: 581238
- imported package perl-String-Print


* Tue Feb 04 2014 cpan2dist 0.13-1mga
- initial mageia release, generated with cpan2dist
